import request from '@/utils/request'

// 查询实验室和安全准入配置中间关联列表
export function listSecurityconfigure(query) {
  return request({
    url: '/laboratory/securityconfigure/list',
    method: 'get',
    params: query
  })
}

// 查询实验室和安全准入配置中间关联详细
export function getSecurityconfigure(id) {
  return request({
    url: '/laboratory/securityconfigure/' + id,
    method: 'get'
  })
}

// 新增实验室和安全准入配置中间关联
export function addSecurityconfigure(data) {
  return request({
    url: '/laboratory/securityconfigure',
    method: 'post',
    data: data
  })
}

// 修改实验室和安全准入配置中间关联
export function updateSecurityconfigure(data) {
  return request({
    url: '/laboratory/securityconfigure',
    method: 'put',
    data: data
  })
}

// 删除实验室和安全准入配置中间关联
export function delSecurityconfigure(id) {
  return request({
    url: '/laboratory/securityconfigure/' + id,
    method: 'delete'
  })
}
